; *******************************************************************
;   Plug in Libraries for the by 12 architecture                    *
;   Written and Tested using MPASM V1.40                            *
;********************************************************************
;   Filename:		SWSPI12.ASM                                 *
;   Date:               05 November 1997                            *
;   File Version:       1.00                                        *
;********************************************************************
;  Macros:
;                       SetCSSWSPI      - Number of steps out of the
;                                         period that will be high
;                       ClearCSSWSPI    - Set number of steps that
;                                         define the PWM cycle.
;
;  Functions:
;                       OpenSWSPI       - Defines the port and pins
;                                         to use for SPI communication.
;                                         with the rest of the TRIS mask.
;                       putcSWSPI       - Writes and reads a byte to/from
;                                         the SPI device.
;********************************************************************
;   Revision History:                                               *
;      V1.00 - Beta release of Peripheral Libraries                 *
;********************************************************************
;   Notes:                                                          *
;
#define SW_SPI_PORT       PORTB
#define SW_CS_PIN     0		; Chip Select
#define WriteSWSPI(x) putcSWSPI(x)	// putc is really write
;
        extern  dataout

;****************************************************************
;	Function Name:	SetCSSWSPI                              *
;	Return Value:	void                                    *
;	Parameters:		void                            *
;	RAM Usage:		0 bytes                         *
;	ROM Usage:		1 word                          *
;	Description:	This routine sets the CS pin high.      *
;****************************************************************
SetCSSWSPI   macro
	bsf     SW_SPI_PORT, SW_CS_PIN       ; Set the CS pin high
        endm

;****************************************************************
;	Function Name:	ClearCSSWSPI                            *
;	Return Value:	void                                    *
;	Parameters:		void                            *
;	RAM Usage:		0 bytes                         *
;	ROM Usage:		1 word                          *
;	Description:	This routine sets the CS pin low.       *
;****************************************************************
ClearCSSWSPI    macro

	bcf     SW_SPI_PORT, SW_CS_PIN       ; Clear the CS pin high
        endm

